Please merge mono 1.9.1+dfsg-4 from Debian Unstable

Bug #282952 reported by Jo Shields on 2008-10-13
254
Affects Status Importance Assigned to Milestone
mono (Debian)
Fix Released
Unknown
mono (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: mono

Mono has received a (hopefully) final bugfix-only release for Lenny, including two security holes amongst the 7 fixed bugs. Please merge it.

CVE References

Jo Shields (directhex) wrote :
Jo Shields (directhex) wrote :
Changed in mono:
status: Unknown → Fix Released
Jo Shields (directhex) wrote :

Setting confirmed as this is a merge w/ attached debdiff

Changed in mono:
status: New → Confirmed
Daniel Holbach (dholbach) wrote :

Could it be that debian/patches/check_prefix_on_proc_self_exe.dpatch was dropped?

Daniel Holbach (dholbach) wrote :

Diff seems to be so big because of a spurious .orig file

daniel@bert:~/mono-1.9.1+dfsg$ diffstat debian/patches/fix_Assembly.LoadFrom_deadlock.dpatch
 assembly.c | 100 +-
 assembly.c.orig | 2503 +++++++++++++++++++++++++++++++++++++++++++++++++++
 class.c | 1
 metadata-internals.h | 3
 4 files changed, 2575 insertions(+), 32 deletions(-)
daniel@bert:~/mono-1.9.1+dfsg$

Daniel Holbach (dholbach) wrote :

FTBFS on amd64 intrepid:

make[8]: Entering directory `/tmp/buildd/mono-1.9.1+dfsg/mcs/mcs'
/bin/sh ../mkinstalldirs ../class/lib/default/
mkdir -p -- ../class/lib/default/
touch ../class/lib/default//.stamp
MONO_PATH="../class/lib/net_1_1_bootstrap:$MONO_PATH" /tmp/buildd/mono-1.9.1+dfsg/runtime/mono-wrapper ../class/lib/net_1_1_bootstrap/mcs.exe /codepage:65001 -d:NET_1_1 -d:ONLY_1_1 -debug -target:exe -out:mcs.exe cs-parser.cs @mcs.exe.sources
cs-parser.jay(3466,1): error CS8025: Parsing error
Compilation failed: 1 error(s), 0 warnings
make[8]: *** [../class/lib/default/mcs.exe] Error 1
make[8]: Leaving directory `/tmp/buildd/mono-1.9.1+dfsg/mcs/mcs'
make[7]: *** [do-all] Error 2
make[7]: Leaving directory `/tmp/buildd/mono-1.9.1+dfsg/mcs/mcs'
make[6]: *** [all-recursive] Error 1

On Wed, 2008-10-15 at 06:59 +0000, Daniel Holbach wrote:
> Could it be that debian/patches/check_prefix_on_proc_self_exe.dpatch was
> dropped?

It was dropped in 3ubuntu2:

* Disable check_prefix_on_proc_self_exe.dpatch, it is not necessary on
  the current live CDs any more (aufs has correct /proc/pid/exe paths).

 -- Martin Pitt <email address hidden> Tue, 12 Aug 2008 08:26:18 +0200

Jo Shields (directhex) wrote :

On Wed, 2008-10-15 at 07:01 +0000, Daniel Holbach wrote:
> Diff seems to be so big because of a spurious .orig file
>
> daniel@bert:~/mono-1.9.1+dfsg$ diffstat debian/patches/fix_Assembly.LoadFrom_deadlock.dpatch
> assembly.c | 100 +-
> assembly.c.orig | 2503 +++++++++++++++++++++++++++++++++++++++++++++++++++
> class.c | 1
> metadata-internals.h | 3
> 4 files changed, 2575 insertions(+), 32 deletions(-)
> daniel@bert:~/mono-1.9.1+dfsg$

Urgh. Removed from pkg-mono SVN. I don't know if it's enough to prompt a
-5 release in Sid, but the new dpatch is at
http://svn.debian.org/wsvn/pkg-mono/mono/trunk/debian/patches/fix_Assembly.LoadFrom_deadlock.dpatch?op=file&rev=0&sc=0

Jo Shields (directhex) wrote :

On Wed, 2008-10-15 at 07:18 +0000, Daniel Holbach wrote:
> FTBFS on amd64 intrepid:
>
> make[8]: Entering directory `/tmp/buildd/mono-1.9.1+dfsg/mcs/mcs'
> /bin/sh ../mkinstalldirs ../class/lib/default/
> mkdir -p -- ../class/lib/default/
> touch ../class/lib/default//.stamp
> MONO_PATH="../class/lib/net_1_1_bootstrap:$MONO_PATH" /tmp/buildd/mono-1.9.1+dfsg/runtime/mono-wrapper ../class/lib/net_1_1_bootstrap/mcs.exe /codepage:65001 -d:NET_1_1 -d:ONLY_1_1 -debug -target:exe -out:mcs.exe cs-parser.cs @mcs.exe.sources
> cs-parser.jay(3466,1): error CS8025: Parsing error
> Compilation failed: 1 error(s), 0 warnings
> make[8]: *** [../class/lib/default/mcs.exe] Error 1
> make[8]: Leaving directory `/tmp/buildd/mono-1.9.1+dfsg/mcs/mcs'
> make[7]: *** [do-all] Error 2
> make[7]: Leaving directory `/tmp/buildd/mono-1.9.1+dfsg/mcs/mcs'
> make[6]: *** [all-recursive] Error 1

Unable to reproduce:
make[8]: Entering directory `/tmp/buildd/mono-1.9.1+dfsg/mcs/mcs'
/bin/sh ../mkinstalldirs ../class/lib/default/
mkdir -p -- ../class/lib/default/
touch ../class/lib/default//.stamp
MONO_PATH="../class/lib/net_1_1_bootstrap:
$MONO_PATH" /tmp/buildd/mono-1.9.1
+dfsg/runtime/mono-wrapper ../class/lib/net_1_1_bootstrap/mcs.exe /codepage:65001 -d:NET_1_1 -d:ONLY_1_1 -debug -target:exe -out:mcs.exe cs-parser.cs @mcs.exe.sources
expression.cs(894,59): warning CS0618:
`Mono.CSharp.UserOperatorCall.MakeSimpleCall(Mono.CSharp.EmitContext,
Mono.CSharp.MethodGroupExpr, Mono.CSharp.Expression,
Mono.CSharp.Location)' is obsolete: `It may not be compatible with
expression trees'
Compilation succeeded - 1 warning(s)
cp mcs.exe ../class/lib/default/mcs.exe

Daniel Holbach (dholbach) wrote :

 - Thanks for fixing the .orig thing in pkg-mono - that should be good enough. I just wanted to point it out in case anybody wondered.
 - You're right about debian/patches/check_prefix_on_proc_self_exe.dpatch in -3ubuntu2 it was removed from debian/patches/00list but not the patch itself. Oversight on my part.
 - Testing the build again right now.

Daniel Holbach (dholbach) wrote :

Builds nicely on intrepid amd64 now.

Steve Langasek (vorlon) wrote :

$ M -s intrepid mono
      mono | 1.9.1+dfsg-4ubuntu1 | intrepid | source
$

Looks like this is done - thanks!

Changed in mono:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.